Package org.eclipse.emf.compare.ide.ui.internal.subscriber

# Class SubscriberProviderDescriptor

java.lang.Object
org.eclipse.emf.compare.ide.ui.internal.subscriber.SubscriberProviderDescriptor

public class SubscriberProviderDescriptor extends Object
This class is used for information flow between `SubscriberProviderRegistryListener` and `SubscriberProviderRegistry` and managing the creation of `ISubscriberProvider` instances.

## Constructor Summary

Constructors
Constructor
Description
`SubscriberProviderDescriptor(String attributeName, org.eclipse.core.runtime.IConfigurationElement configurationElement, int ranking)`
Default constructor.

## Method Summary

Modifier and Type
Method
Description
`int`
`getRanking()`
`ISubscriberProvider`
`getSubscriberProvider()`
Returns the `IDependencyProvider`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SubscriberProviderDescriptor

public SubscriberProviderDescriptor(String attributeName, org.eclipse.core.runtime.IConfigurationElement configurationElement, int ranking)
Default constructor.

Parameters:
  `attributeName` - The name of the configuration attribute responsible for the registered `IDependencyProvider`.
  `configurationElement` - The `IConfigurationElement` containing all relevant extension information.

## Method Details

### getRanking

public int getRanking()

### getSubscriberProvider

public ISubscriberProvider getSubscriberProvider()
Returns the `IDependencyProvider`.

Returns:
  The newly created `IDependencyProvider`.